Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.SplitterItem=function(_1){
Telerik.Web.UI.SplitterItem.initializeBase(this,[_1]);
this._index=null;
this._splitter=null;
};
Telerik.Web.UI.SplitterItem.prototype={initialize:function(){
Telerik.Web.UI.SplitterItem.callBaseMethod(this,"initialize");
},dispose:function(){
Telerik.Web.UI.SplitterItem.callBaseMethod(this,"dispose");
},get_index:function(){
return this._index;
},set_splitter:function(_2){
this._splitter=_2;
},get_splitter:function(){
return this._splitter;
}};
Telerik.Web.UI.SplitterItem.registerClass("Telerik.Web.UI.SplitterItem",Telerik.Web.UI.RadWebControl);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.PaneBeforeResizeEventArgs=function(_3,_4){
Telerik.Web.UI.PaneBeforeResizeEventArgs.initializeBase(this);
this._delta=_3;
this._resizeDirection=_4;
};
Telerik.Web.UI.PaneBeforeResizeEventArgs.prototype={get_delta:function(){
return this._delta;
},get_resizeDirection:function(){
return this._resizeDirection;
}};
Telerik.Web.UI.PaneBeforeResizeEventArgs.registerClass("Telerik.Web.UI.PaneBeforeResizeEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.PaneResizedEventArgs=function(_5,_6){
Telerik.Web.UI.PaneResizedEventArgs.initializeBase(this);
this._oldWidth=_5;
this._oldHeight=_6;
};
Telerik.Web.UI.PaneResizedEventArgs.prototype={get_oldWidth:function(){
return this._oldWidth;
},get_oldHeight:function(){
return this._oldHeight;
}};
Telerik.Web.UI.PaneResizedEventArgs.registerClass("Telerik.Web.UI.PaneResizedEventArgs",Sys.EventArgs);
Telerik.Web.UI.PaneBeforeCollapseEventArgs=function(){
Telerik.Web.UI.PaneBeforeCollapseEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneBeforeCollapseEventArgs.prototype={};
Telerik.Web.UI.PaneBeforeCollapseEventArgs.registerClass("Telerik.Web.UI.PaneBeforeCollapseEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.PaneCollapsedEventArgs=function(){
Telerik.Web.UI.PaneCollapsedEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneCollapsedEventArgs.prototype={};
Telerik.Web.UI.PaneCollapsedEventArgs.registerClass("Telerik.Web.UI.PaneCollapsedEventArgs",Sys.EventArgs);
Telerik.Web.UI.PaneBeforeExpandEventArgs=function(){
Telerik.Web.UI.PaneBeforeExpandEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneBeforeExpandEventArgs.prototype={};
Telerik.Web.UI.PaneBeforeExpandEventArgs.registerClass("Telerik.Web.UI.PaneBeforeExpandEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.PaneExpandedEventArgs=function(){
Telerik.Web.UI.PaneExpandedEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneExpandedEventArgs.prototype={};
Telerik.Web.UI.PaneExpandedEventArgs.registerClass("Telerik.Web.UI.PaneExpandedEventArgs",Sys.EventArgs);
Telerik.Web.UI.SplitterPaneBase=function(_7){
Telerik.Web.UI.SplitterPaneBase.initializeBase(this,[_7]);
this._minWidth=20;
this._minHeight=20;
this._maxWidth=10000;
this._maxHeight=10000;
this._collapsed=false;
this._persistScrollPosition=true;
this._onScrollAttached=false;
this._scrollLeft=0;
this._scrollTop=0;
this._width="";
this._height="";
};
Telerik.Web.UI.SplitterPaneBase.prototype={endUpdate:function(){
if(this._width.toString().indexOf("px")>-1){
this._width=parseInt(this._width,10);
}
if(this._height.toString().indexOf("px")>-1){
this._height=parseInt(this._height,10);
}
Telerik.Web.UI.SplitterPaneBase.callBaseMethod(this,"endUpdate");
},initialize:function(){
Telerik.Web.UI.SplitterPaneBase.callBaseMethod(this,"initialize");
if(this.get_splitter().isVertical()){
this.getVarSize=this.get_width;
this.setVarSize=this.set_width;
this.getVarMinSize=this.get_minWidth;
this.getVarMaxSize=this.get_maxWidth;
}else{
this.getVarSize=this.get_height;
this.setVarSize=this.set_height;
this.getVarMinSize=this.get_minHeight;
this.getVarMaxSize=this.get_maxHeight;
}
this.get_parent()._addPane(this);
},dispose:function(){
Telerik.Web.UI.SplitterPaneBase.callBaseMethod(this,"dispose");
},set_minWidth:function(_8){
this._minWidth=_8;
this.updateClientState();
},get_minWidth:function(){
return this._minWidth;
},set_minHeight:function(_9){
this._minHeight=_9;
this.updateClientState();
},get_minHeight:function(){
return this._minHeight;
},set_maxWidth:function(_a){
this._maxWidth=_a;
this.updateClientState();
},get_maxWidth:function(){
return this._maxWidth;
},set_maxHeight:function(_b){
this._maxHeight=_b;
this.updateClientState();
},get_maxHeight:function(){
return this._maxHeight;
},set_width:function(_c){
this._width=_c;
this.updateClientState();
},get_width:function(){
return this._width;
},set_height:function(_d){
this._height=_d;
this.updateClientState();
},get_height:function(){
return this._height;
},set_collapsed:function(_e){
this._collapsed=_e;
this.updateClientState();
},get_collapsed:function(){
return this._collapsed;
},get_scrolling:function(){
return this._scrolling;
},set_scrolling:function(_f){
if($telerik.isOpera&&(_f==Telerik.Web.UI.SplitterPaneScrolling.X||_f==Telerik.Web.UI.SplitterPaneScrolling.Y)){
this._scrolling=Telerik.Web.UI.SplitterPaneScrolling.Both;
}else{
this._scrolling=_f;
}
this._configureScrolling();
this._scrollingEnabled=(this._scrolling!=Telerik.Web.UI.SplitterPaneScrolling.None);
},getScrollPos:function(){
var _10=this._getContentElement();
if(_10){
return {left:_10.scrollLeft,top:_10.scrollTop};
}
},setScrollPos:function(_11,_12){
var _13=this._getContentElement();
if(_13){
_13.scrollLeft=_11;
_13.scrollTop=_12;
}
},get_persistScrollPosition:function(){
return this._persistScrollPosition;
},set_persistScrollPosition:function(_14){
this._persistScrollPosition=_14;
},add_beforeCollapse:function(_15){
this.get_events().addHandler("beforeCollapse",_15);
},remove_beforeCollapse:function(_16){
this.get_events().removeHandler("beforeCollapse",_16);
},add_beforeExpand:function(_17){
this.get_events().addHandler("beforeExpand",_17);
},remove_beforeExpand:function(_18){
this.get_events().removeHandler("beforeExpand",_18);
},add_beforeResize:function(_19){
this.get_events().addHandler("beforeResize",_19);
},remove_beforeResize:function(_1a){
this.get_events().removeHandler("beforeResize",_1a);
},add_collapsed:function(_1b){
this.get_events().addHandler("collapsed",_1b);
},remove_collapsed:function(_1c){
this.get_events().removeHandler("collapsed",_1c);
},add_expanded:function(_1d){
this.get_events().addHandler("expanded",_1d);
},remove_expanded:function(_1e){
this.get_events().removeHandler("expanded",_1e);
},add_resized:function(_1f){
this.get_events().addHandler("resized",_1f);
},remove_resized:function(_20){
this.get_events().removeHandler("resized",_20);
},_getContentElement:function(){
var _21=null;
if(this.getContentContainer){
_21=this.getContentContainer();
}else{
if(this.getContentElement){
_21=this.getContentElement();
}
}
return _21;
},_configureScrolling:function(){
var _22=this._getContentElement();
if(_22){
var _23=this.get_scrolling();
switch(_23){
case Telerik.Web.UI.SplitterPaneScrolling.None:
_22.style.overflow="hidden";
break;
case Telerik.Web.UI.SplitterPaneScrolling.X:
_22.style.overflowX="auto";
_22.style.overflowY="hidden";
break;
case Telerik.Web.UI.SplitterPaneScrolling.Y:
_22.style.overflowX="hidden";
_22.style.overflowY="auto";
break;
case Telerik.Web.UI.SplitterPaneScrolling.Both:
default:
_22.style.overflow="auto";
break;
}
}
},_attachScrollHandler:function(){
var _24=this._getContentElement();
if(_24){
$addHandlers(_24,{"scroll":this._onScroll},this);
this._onScrollAttached=true;
}
},_onScroll:function(){
this.updateClientState();
}};
Telerik.Web.UI.SplitterPaneBase.registerClass("Telerik.Web.UI.SplitterPaneBase",Telerik.Web.UI.SplitterItem);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.RadPane=function(_25){
Telerik.Web.UI.RadPane.initializeBase(this,[_25]);
this._originalWidth=null;
this._originalHeight=null;
this._indexInPaneItems=null;
this._collapsedDirection=null;
this._expandedSize=0;
this._indexInPanes=0;
this._locked=false;
this._contentUrl="";
this._scrollingEnabled=true;
this._collapsedDirection=Telerik.Web.UI.SplitterDirection.Forward;
this._contentElement=$get("RAD_SPLITTER_PANE_CONTENT_"+this.get_id());
this.GetScrollPos=this.getScrollPos;
this.SetScrollPos=this.setScrollPos;
this.Resize=this.resize;
this.Print=this.print;
this.Collapse=this.collapse;
this.Expand=this.expand;
this.IsExternalContent=this.isExternalContent;
this.GetInnerWidth=this.getInnerWidth;
this.GetInnerHeight=this.getInnerHeight;
this.IsSplitterContainer=this.isSplitterContainer;
this.GetContentElement=this.getContentElement;
this.GetExtContentElement=this.getExtContentElement;
this.IsLocked=this.isLocked;
this.Lock=this.lock;
this.UnLock=this.unlock;
};
Telerik.Web.UI.RadPane.prototype={initialize:function(){
Telerik.Web.UI.RadPane.callBaseMethod(this,"initialize");
if(this.get_splitter().isVertical()){
this._getOrigVarSize=this._getOrigWidth;
this._setOrigVarSize=this._setOrigWidth;
this._getAvailIncreaseDelta=this._getWidthAvailIncreaseDelta;
this._getAvailDecreaseDelta=this._getWidthAvailDecreaseDelta;
}else{
this._getOrigVarSize=this._getOrigHeight;
this._setOrigVarSize=this._setOrigHeight;
this._getAvailIncreaseDelta=this._getHeightAvailIncreaseDelta;
this._getAvailDecreaseDelta=this._getHeightAvailDecreaseDelta;
}
this._splitterLoadedHandler=Function.createDelegate(this,this._splitterLoadedHandler);
this.get_splitter().add_loaded(this._splitterLoadedHandler);
},dispose:function(){
if(this._onScrollAttached){
$clearHandlers(this._contentElement);
}
Telerik.Web.UI.RadPane.callBaseMethod(this,"dispose");
},set_content:function(_26){
if(this.isExternalContent()){
this._contentElement.style.overflow=this._contentOverflow.overflow;
this._contentElement.style.overflowX=this._contentOverflow.overflowX;
this._contentElement.style.overflowY=this._contentOverflow.overflowY;
this._contentUrl=null;
this.updateClientState();
}
this._contentElement.innerHTML=_26;
},get_content:function(){
if(this.isExternalContent()){
return "";
}
return this._contentElement.innerHTML;
},set_contentUrl:function(_27){
this._contentUrl=_27;
if(this._initializedInternal){
this._setExternalContent(_27);
}
this.updateClientState();
},get_contentUrl:function(){
if(!this.isExternalContent()){
return "";
}
return this._contentUrl;
},get_minWidth:function(){
var _28=this._minWidth;
var _29=0;
if(this.isSplitterContainer()&&this._childSplitter.isVertical()){
_29=this._childSplitter.getMinWidth();
}
return Math.max(_28,_29);
},get_minHeight:function(){
var _2a=this._minHeight;
var _2b=0;
if(this.isSplitterContainer()&&!this._childSplitter.isVertical()){
_2b=this._childSplitter.getMinHeight();
}
return Math.max(_2a,_2b);
},get_maxWidth:function(){
var _2c=this._getMaxSize(true);
return _2c;
},get_maxHeight:function(){
var _2d=this._getMaxSize(false);
return _2d;
},set_width:function(_2e){
if(_2e<0||_2e==this._width){
return;
}
this._setWidth(_2e);
if(this.isSplitterContainer()){
this._childSplitter.set_width(this.getInnerWidth());
}
},set_height:function(_2f){
if(_2f<0||_2f==this._height){
return;
}
this._setHeight(_2f);
if(this.isSplitterContainer()){
this._childSplitter.set_height(this.getInnerHeight());
}
},get_locked:function(){
return this._locked;
},set_locked:function(_30){
this._locked=_30;
},resize:function(_31,_32){
this.get_splitter()._resizePanes(_31,this,_32);
},print:function(_33){
var _34="width="+this.get_width()+"px, height="+this.get_height()+"px, scrollbars=1";
var _35=(this.isExternalContent())?this.get_contentUrl():"about:blank";
var _36=window.open(_35,"",_34,false);
if(this.isExternalContent()){
try{
var t=function(){
_36.print();
};
setTimeout(t,1000);
}
catch(e){
}
return;
}
var _38="";
if(_33){
_38="<head>";
for(var i=0,_3a=_33.length;i<_3a;i++){
_38+="<link href = '"+_33[i]+"' rel='stylesheet' type='text/css'></link>";
}
_38+="</head>";
}
var _3b=_38+"<body>"+this.get_content()+"</body>";
_36.document.open();
_36.document.write(_3b);
_36.document.close();
_36.print();
},collapse:function(_3c){
if(this.get_collapsed()){
return true;
}
if(!_3c){
_3c=Telerik.Web.UI.SplitterDirection.Forward;
}
var _3d=this._getTargetSplitBar(_3c);
var _3e=false;
if(_3d!=null){
var _3f=Telerik.Web.UI.SplitterDirection.Forward;
if(_3d._index<this._index){
_3f=Telerik.Web.UI.SplitterDirection.Backward;
}
_3e=_3d._collapseTargetPane(_3f);
}else{
_3e=this.get_splitter()._collapsePane(this,_3c);
}
return _3e;
},expand:function(_40){
if(!this.get_collapsed()){
return true;
}
if(!_40){
_40=Telerik.Web.UI.SplitterDirection.Forward;
}
var _41=this._getTargetSplitBar(_40);
var _42=false;
if(_41!=null){
var _43=Telerik.Web.UI.SplitterDirection.Forward;
if(_41._index<this._index){
_43=Telerik.Web.UI.SplitterDirection.Backward;
}
_42=_41._collapseTargetPane(_43);
}else{
_42=this.get_splitter()._expandPane(this,_40);
}
return _42;
},isExternalContent:function(){
return (this._contentUrl!=null&&this._contentUrl!="");
},getInnerWidth:function(_44){
return parseInt(this._width);
if(this.isSplitterContainer()){
return this._width;
}
if(this._width>2*this.get_splitter().panesBorderSize){
return this._width-2*this.get_splitter().panesBorderSize;
}
return 0;
},getInnerHeight:function(_45){
return parseInt(this._height);
if(this.isSplitterContainer()){
return this._height;
}
if(this._height>2*this.get_splitter().panesBorderSize){
return this._height-2*this.get_splitter().panesBorderSize;
}
return 0;
},isSplitterContainer:function(){
return (this._childSplitter!=null);
},getContentElement:function(){
return this._contentElement;
},getExtContentElement:function(){
return this._extContentElement;
},isLocked:function(){
return this._locked;
},lock:function(){
this.set_locked(true);
this.updateClientState();
},unlock:function(){
this.set_locked(false);
},_isFixedSize:function(){
return this._isFixedUnit(this.getVarSize());
},_isInitialFixedSize:function(){
return this._isFixedUnit(this._getOrigVarSize());
},_isFreeSize:function(){
return (this.getVarSize()=="");
},_isInitialFreeSize:function(){
return (this._getOrigVarSize()=="");
},_isPercentSize:function(){
return (this.getVarSize().toString().indexOf("%")>-1);
},_isInitialPercentSize:function(){
return (this._getOrigVarSize().toString().indexOf("%")>-1);
},_isFixedUnit:function(_46){
return !(!_46||_46.toString().indexOf("%")>-1);
},_getWidthAvailDecreaseDelta:function(){
if((this.get_collapsed()&&this._expandedSize>0)||this.isLocked()){
return 0;
}
var _47=this.get_width()-this.get_minWidth();
return _47;
},_getWidthAvailIncreaseDelta:function(){
if((this.get_collapsed()&&this._expandedSize>0)||this.isLocked()){
return 0;
}
var _48=this.get_maxWidth()-this.get_width();
return _48;
},_getHeightAvailDecreaseDelta:function(){
if((this.get_collapsed()&&this._expandedSize>0)||this.isLocked()){
return 0;
}
return this.get_height()-this.get_minHeight();
},_getHeightAvailIncreaseDelta:function(){
if((this.get_collapsed()&&this._expandedSize>0)||this.isLocked()){
return 0;
}
return this.get_maxHeight()-this.get_height();
},_setHeight:function(_49){
this._setSize(null,_49);
},_setWidth:function(_4a){
this._setSize(_4a);
},_setSize:function(_4b,_4c){
var _4d="";
var _4e=null;
if(_4b!=null){
if(_4c!=null){
this._setSize(null,_4c);
}
_4e=_4b;
_4d="_width";
setValueMethod="setOuterWidth";
getInnerValueMethod="getInnerWidth";
}else{
if(_4c!=null){
_4e=_4c;
_4d="_height";
setValueMethod="setOuterHeight";
getInnerValueMethod="getInnerHeight";
}
}
if(_4e==null){
return;
}
_4e=parseInt(_4e,10);
if(isNaN(_4e)||_4e==this[_4d]){
return;
}
_4e=Math.max(_4e,0);
this[_4d]=_4e;
if($telerik.isOpera){
var _4f=this._parent.getContainerElement();
_4f.style.width="1px";
_4f.style.height="1px";
}
if(this._contentElement!=null){
$telerik[setValueMethod](this._contentElement,this[getInnerValueMethod]());
if(this.isExternalContent()){
var _50=this._extContentElement;
if(_50){
$telerik[setValueMethod](_50,this[getInnerValueMethod]());
}
}
}
this.updateClientState();
},_getOrigWidth:function(){
return this._originalWidth;
},_getOrigHeight:function(){
return this._originalHeight;
},_setOrigWidth:function(_51){
this._originalWidth=_51;
},_setOrigHeight:function(_52){
this._originalHeight=_52;
},_doInitialCollapse:function(){
this._initialCollapseMode=true;
this._collapsed=false;
var _53=this.get_splitter();
var _54=Telerik.Web.UI.SplitterDirection.Forward;
_54=this._collapsedDirection;
if(this._indexInPanes==_53.getPanes().length-1){
_54=Telerik.Web.UI.SplitterDirection.Backward;
}
this.collapse(_54);
this._initialCollapseMode=false;
},_doInitialExpand:function(){
this._initialExpandMode=true;
this._collapsed=true;
var _55=this.get_splitter();
var _56=Telerik.Web.UI.SplitterDirection.Forward;
if(this._indexInPanes==_55.getPanes().length-1){
_56=Telerik.Web.UI.SplitterDirection.Backward;
}
this.expand(_56);
this._initialExpandMode=false;
},_collapse:function(_57){
this._collapsedDirection=_57;
this._contentElement.style.display="none";
if(this.get_splitter().isVertical()){
this.get_element().style.display="none";
}else{
$get("RAD_SPLITTER_PANE_TR_"+this.get_id()).style.display="none";
if(document.all&&this._indexInPanes==0){
var _58=this.get_splitter().getSplitBarByIndex(0);
if(_58!=null){
_58.get_element().style.borderTop="0px";
}
}
}
this._collapsed=true;
if(this.getVarSize()>0){
this._expandedSize=this.getVarSize();
}
if(this.get_splitter().isVertical()){
this._width=0;
}else{
this._height=0;
}
this.updateClientState();
},_show:function(){
this._contentElement.style.display="";
if(this.get_splitter().isVertical()){
this.get_element().style.display="";
}else{
$get("RAD_SPLITTER_PANE_TR_"+this.get_id()).style.display="";
}
},_expand:function(_59){
this._show();
this._collapsed=false;
this._expandedSize=0;
this.setVarSize(_59);
if(this.get_splitter().isVertical()){
this._setHeight(this.get_splitter().getInnerHeight());
}else{
this._setWidth(this.get_splitter().getInnerWidth());
}
$telerik.repaintChildren(this);
this.updateClientState();
},_getTargetSplitBar:function(_5a,_5b){
if(typeof (_5b)=="undefined"){
_5b=true;
}
if(!_5a){
_5a=Telerik.Web.UI.SplitterDirection.Forward;
}
var _5c=(_5a==Telerik.Web.UI.SplitterDirection.Forward)?this._index+1:this._index-1;
var _5d=this.get_splitter()._getSplitBarByAbsIndex(_5c);
if(_5d!=null&&_5d.isCollapseDirectionEnabled(_5a)){
return _5d;
}
if(_5b){
_5a=(_5a==Telerik.Web.UI.SplitterDirection.Forward)?Telerik.Web.UI.SplitterDirection.Backward:Telerik.Web.UI.SplitterDirection.Forward;
return this._getTargetSplitBar(_5a,false);
}
return null;
},_hideContent:function(){
this._contentElement.style.display="none";
if(this.isSplitterContainer()){
var _5e=this._childSplitter.getPanes();
for(var i=0,_60=_5e.length;i<_60;i++){
_5e[i]._hideContent();
}
}
},_showContent:function(){
this._contentElement.style.display="";
if(this.isSplitterContainer()){
var _61=this._childSplitter.getPanes();
for(var i=0,_63=_61.length;i<_63;i++){
_61[i]._showContent();
}
}
},_setExternalContent:function(url){
if(!this._extContentElement){
var _65=(this._scrollingEnabled)?"auto":"no";
var _66=(!document.all)?"-3px;":null;
var _67=($telerik.isIE)?document.createElement("<iframe name='"+this.get_id()+"'>"):document.createElement("iframe");
_67.name=this.get_id();
_67.id="RAD_SPLITTER_PANE_EXT_CONTENT_"+this.get_id();
_67.src=url;
_67.style.border="0px";
_67.frameBorder="0";
_67.setAttribute("scrolling",_65);
if(_66){
_67.marginBottom=_66;
}
this._contentElement.innerHTML="";
this._contentElement.appendChild(_67);
this._extContentElement=_67;
var _68=this.getInnerWidth();
var _69=this.getInnerHeight();
if(this._isFixedUnit(_68)){
$telerik.setOuterWidth(this._extContentElement,_68);
}
if(this._isFixedUnit(_69)){
$telerik.setOuterHeight(this._extContentElement,_69);
}
this._contentOverflow={overflow:this._contentElement.style.overflow,overflowX:this._contentElement.style.overflowX,overflowY:this._contentElement.style.overflowY};
this._contentElement.style.overflow="hidden";
this._contentElement.style.overflowX="hidden";
this._contentElement.style.overflowY="hidden";
}else{
this._extContentElement.src=url;
}
},_getMaxSize:function(_6a){
var _6b=(_6a)?this._maxWidth:this._maxHeight;
var _6c=0;
if(this.isSplitterContainer()){
var _6d=false;
if(_6a&&!this._childSplitter.isVertical()||!_6a&&this._childSplitter.isVertical()){
_6d=true;
}
if(!_6d){
_6c=(_6a)?this._childSplitter.getMaxWidth():this._childSplitter.getMaxHeight();
if(_6c!=null){
if(_6b!=null){
_6b=Math.min(_6b,_6c);
}else{
_6b=_6c;
}
}
}
}
return _6b;
},_initResize:function(){
this._oldWidth=this._width;
this._oldHeight=this._height;
},_endResize:function(_6e){
var _6f=this._oldWidth;
var _70=this._oldHeight;
if((_6f!=null&&_6f!=this._width)||(_70!=null&&_70!=this._height)){
_6f=(_6f!=null)?_6f:this._width;
_70=(_70!=null)?_70:this._height;
$telerik.repaintChildren(this);
if(_6e){
this.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_6f,_70));
}
this._oldWidth=null;
this._oldHeight=null;
}
},_splitterLoadedHandler:function(){
if(this.isExternalContent()){
this._setExternalContent(this._contentUrl);
}else{
if(this._scrollingEnabled&&this._persistScrollPosition){
this._attachScrollHandler();
this.setScrollPos(this._scrollLeft,this._scrollTop);
}
}
if(this._collapsed){
this._doInitialCollapse();
}else{
if(this._expandedSize>0){
this._doInitialExpand();
}
}
this.updateClientState();
this._initializedInternal=true;
this.get_splitter().remove_loaded(this._splitterLoadedHandler);
},saveClientState:function(){
if(this.get_isUpdating()){
return null;
}
var _71=this.getScrollPos();
var _72={"_originalWidth":this._originalWidth,"_originalHeight":this._originalHeight,"_collapsedDirection":this._collapsedDirection,"_scrollLeft":_71.left,"_scrollTop":_71.top,"_expandedSize":this._expandedSize};
var _73=["width","height","collapsed","contentUrl","minWidth","maxWidth","minHeight","maxHeight","locked"];
for(var i=0,_75=_73.length;i<_75;i++){
var _76=_73[i];
_72[_76]=this["get_"+_76]();
}
return Sys.Serialization.JavaScriptSerializer.serialize(_72);
}};
Telerik.Web.UI.RadPane.registerClass("Telerik.Web.UI.RadPane",Telerik.Web.UI.SplitterPaneBase);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.SplitBarCollapseMode=function(){
};
Telerik.Web.UI.SplitBarCollapseMode.prototype={None:1,Forward:2,Backward:3,Both:4};
Telerik.Web.UI.SplitBarCollapseMode.registerEnum("Telerik.Web.UI.SplitBarCollapseMode",false);
Telerik.Web.UI.RadSplitBar=function(_77){
Telerik.Web.UI.RadSplitBar.initializeBase(this,[_77]);
this._collapseMode=Telerik.Web.UI.SplitBarCollapseMode.None;
this._enableResize=true;
this._resizeStep=0;
this._indexInSplitBars=0;
this._prevPane=null;
this._nextPane=null;
this._collapsed={};
this._collapsed[Telerik.Web.UI.SplitterDirection.Forward]=false;
this._collapsed[Telerik.Web.UI.SplitterDirection.Backward]=false;
this.IsCollapseDirectionEnabled=this.isCollapseDirectionEnabled;
this.GetCollapseBarElement=this.getCollapseBarElement;
this.IsCollapsed=this.isCollapsed;
this.GetWidth=this.getWidth;
this.GetHeight=this.getHeight;
};
Telerik.Web.UI.RadSplitBar.prototype={initialize:function(){
Telerik.Web.UI.RadSplitBar.callBaseMethod(this,"initialize");
this.get_splitter()._addSplitBar(this);
var _78=Telerik.Web.UI.SplitterDirection.Forward;
if(this.isCollapseDirectionEnabled(_78)){
var _79=this.getCollapseBarElement(_78);
$addHandlers(_79,{"mousedown":this._collapseBarFwdOnMouseDown,"mouseover":this._collapseBarFwdOnMouseOver,"mouseout":this._collapseBarFwdOnMouseOut},this);
}
var _78=Telerik.Web.UI.SplitterDirection.Backward;
if(this.isCollapseDirectionEnabled(_78)){
var _79=this.getCollapseBarElement(_78);
$addHandlers(_79,{"mousedown":this._collapseBarBackOnMouseDown,"mouseover":this._collapseBarBackOnMouseOver,"mouseout":this._collapseBarBackOnMouseOut},this);
}
if(this.get_enableResize()){
var _7a=this.get_element();
$addHandlers(_7a,{"mousedown":this._onMouseDown,"mouseover":this._onMouseOver,"mouseout":this._onMouseOut},this);
}
this._setCursorStyle();
this._splitterLoadedHandler=Function.createDelegate(this,this._splitterLoadedHandler);
this.get_splitter().add_loaded(this._splitterLoadedHandler);
},dispose:function(){
var _7b=Telerik.Web.UI.SplitterDirection.Forward;
if(this.isCollapseDirectionEnabled(_7b)){
var _7c=this.getCollapseBarElement(_7b);
$clearHandlers(_7c);
}
var _7b=Telerik.Web.UI.SplitterDirection.Backward;
if(this.isCollapseDirectionEnabled(_7b)){
var _7c=this.getCollapseBarElement(_7b);
$clearHandlers(_7c);
}
if(this.get_enableResize()){
var _7d=this.get_element();
$clearHandlers(_7d);
}
Telerik.Web.UI.RadSplitBar.callBaseMethod(this,"dispose");
},endUpdate:function(){
Telerik.Web.UI.RadSplitBar.callBaseMethod(this,"endUpdate");
},set_collapseMode:function(_7e){
this._collapseMode=_7e;
},get_collapseMode:function(){
return this._collapseMode;
},set_resizeStep:function(_7f){
this._resizeStep=_7f;
},get_resizeStep:function(){
return this._resizeStep;
},set_enableResize:function(_80){
this._enableResize=_80;
},get_enableResize:function(){
return this._enableResize;
},set_nextPane:function(_81){
this._nextPane=_81;
},get_nextPane:function(_82){
return this._nextPane;
},set_prevPane:function(_83){
this._prevPane=_83;
},get_prevPane:function(_84){
return this._prevPane;
},get_splitter:function(){
return this._parent;
},isCollapseDirectionEnabled:function(_85){
if(this._collapseMode==Telerik.Web.UI.SplitBarCollapseMode.Both){
return true;
}
if(_85==Telerik.Web.UI.SplitterDirection.Forward&&this._collapseMode==Telerik.Web.UI.SplitBarCollapseMode.Forward){
return true;
}
if(_85==Telerik.Web.UI.SplitterDirection.Backward&&this._collapseMode==Telerik.Web.UI.SplitBarCollapseMode.Backward){
return true;
}
return false;
},getCollapseBarElement:function(_86){
var _87="Forward";
if(_86==Telerik.Web.UI.SplitterDirection.Backward){
_87="Backward";
}
return $get("RAD_SPLITTER_BAR_COLLAPSE_"+_87+"_"+this.get_id());
},isCollapsed:function(_88){
return this._collapsed[_88];
},getWidth:function(){
return this.get_element().offsetWidth;
},getHeight:function(){
return this.get_element().offsetHeight;
},_collapseBarFwdOnMouseOut:function(e){
e.stopPropagation();
var _8a=this.getCollapseBarElement(Telerik.Web.UI.SplitterDirection.Forward);
var _8b=this._collapsed[Telerik.Web.UI.SplitterDirection.Forward];
_8a.className=(this.get_splitter().isVertical())?((!_8b)?"collapseBarCollapse":"collapseBarExpand"):((!_8b)?"collapseBarHorizontalCollapse":"collapseBarHorizontalExpand");
return false;
},_collapseBarFwdOnMouseOver:function(e){
e.stopPropagation();
var _8d=this.getCollapseBarElement(Telerik.Web.UI.SplitterDirection.Forward);
var _8e=this._collapsed[Telerik.Web.UI.SplitterDirection.Forward];
_8d.className=(this.get_splitter().isVertical())?((!_8e)?"collapseBarCollapseOver":"collapseBarExpandOver"):((!_8e)?"collapseBarHorizontalCollapseOver":"collapseBarHorizontalExpandOver");
this._setHorizontalWrapperWidth();
return false;
},_collapseBarFwdOnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
e.preventDefault();
e.stopPropagation();
this._collapseTargetPane(Telerik.Web.UI.SplitterDirection.Forward);
var _90=this;
var _91=function(){
_90._collapseBarFwdOnMouseOut(e);
};
setTimeout(_91,10);
return false;
},_collapseBarBackOnMouseOut:function(e){
e.stopPropagation();
var _93=this.getCollapseBarElement(Telerik.Web.UI.SplitterDirection.Backward);
var _94=this._collapsed[Telerik.Web.UI.SplitterDirection.Backward];
_93.className=(this.get_splitter().isVertical())?((!_94)?"collapseBarExpand":"collapseBarCollapse"):((!_94)?"collapseBarHorizontalExpand":"collapseBarHorizontalCollapse");
return false;
},_collapseBarBackOnMouseOver:function(e){
e.stopPropagation();
var _96=this.getCollapseBarElement(Telerik.Web.UI.SplitterDirection.Backward);
var _97=this._collapsed[Telerik.Web.UI.SplitterDirection.Backward];
_96.className=(this.get_splitter().isVertical())?((!_97)?"collapseBarExpandOver":"collapseBarCollapseOver"):((!_97)?"collapseBarHorizontalExpandOver":"collapseBarHorizontalCollapseOver");
this._setHorizontalWrapperWidth();
return false;
},_collapseBarBackOnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
e.preventDefault();
e.stopPropagation();
this._collapseTargetPane(Telerik.Web.UI.SplitterDirection.Backward);
var _99=this;
var _9a=function(){
_99._collapseBarBackOnMouseOut(e);
};
setTimeout(_9a,10);
return false;
},_onMouseDown:function(e){
e.preventDefault();
e.stopPropagation();
if(this.isCollapsed(Telerik.Web.UI.SplitterDirection.Forward)||this.isCollapsed(Telerik.Web.UI.SplitterDirection.Backward)){
return false;
}
this._maxDecreaseDelta=this._getAvailDecreaseDelta();
this._maxIncreaseDelta=this._getAvailIncreaseDelta();
var _9c=this.get_element();
var _9d=this.get_splitter();
var pos=$telerik.getLocation(_9c);
if($telerik.isSafari&&_9d.isVertical()){
var _9f=$telerik.getLocation(_9c.parentNode);
pos.y=_9f.y;
}
this._mouseStartX=e.clientX;
this._mouseStartY=e.clientY;
this._targetResizePane=_9d._getAvailAdjacentPane(this._prevPane._indexInPanes+1,Telerik.Web.UI.SplitterDirection.Backward);
if(this._targetResizePane==null){
return false;
}
this._liveResMouseX=e.clientX;
this._liveResMouseY=e.clientY;
this._liveResPaneStartSize=this._targetResizePane.getVarSize();
this._mouseOffsetX=e.clientX-pos.x;
this._mouseOffsetY=e.clientY-pos.y;
this._handlerStartLeftPos=pos.x;
this._handlerStartTopPos=pos.y;
this._currentDelta=0;
this._onMouseUpDelegate=Function.createDelegate(this,this._onMouseUp);
this._onMouseMoveDelegate=Function.createDelegate(this,this._onMouseMove);
$addHandler(document,"mouseup",this._onMouseUpDelegate);
$addHandler(document,"mousemove",this._onMouseMoveDelegate);
return false;
},_onMouseMove:function(e){
e.preventDefault();
e.stopPropagation();
var _a1=this.get_splitter();
var _a2=_a1.isVertical();
var _a3=_a1._borderSize;
var _a4=Math.floor(_a3/2);
var _a5=_a1.get_liveResize();
var _a6=0;
if(_a2){
_a6=e.clientX-this._mouseStartX;
}else{
_a6=e.clientY-this._mouseStartY;
}
var _a7=150;
if(!this._helperBar){
var _a8=document.createElement("TABLE");
_a8.className=_a1.getContainerElement().className;
_a8.style.borderCollapse="separate";
_a8.cellSpacing=0;
_a8.cellPadding=0;
_a8.style.borderWidth="0px";
_a8.style.background="";
_a8.style.cursor=this._getCursorStyle();
var _a9=document.createElement("TBODY");
_a8.appendChild(_a9);
var TR=document.createElement("TR");
_a9.appendChild(TR);
var TD=document.createElement("TD");
TR.appendChild(TD);
var _ac=document.createElement("DIV");
_ac.className="helperBarDrag";
if(_a2){
_ac.style.marginLeft=_a7+"px";
_ac.style.marginRight=_a7+"px";
}else{
_ac.style.marginTop=_a7+"px";
_ac.style.marginBottom=_a7+"px";
}
var _ad=this.getWidth();
var _ae=0;
if(_a2||!$telerik.isIE){
_ae=(_ad>_a3)?_a3:(_ad>_a4)?_a4:0;
}
_ac.style.width=_ad-_ae+"px";
var _af=this.getHeight();
var _b0=0;
if(!_a2||!$telerik.isIE){
_b0=(_ad>_a3)?_a3:(_ad>_a4)?_a4:0;
}
_ac.style.height=_af-_b0+"px";
TD.appendChild(_ac);
_a8.style.position="absolute";
var _b1=0;
var _b2=0;
_a8.style.left=this._handlerStartLeftPos-(_a2?_a7:0)+((!$telerik.isIE)?_a4:0)+(($telerik.isSafari)?_a4:0)+_b1+"px";
_a8.style.top=this._handlerStartTopPos-(!_a2?_a7:0)+((!$telerik.isIE)?_a4:0)+(($telerik.isSafari)?_a4:0)+_b2+"px";
_a8.style.zIndex=1;
this._helperBar=document.body.insertBefore(_a8,document.body.firstChild);
this._helperBarDecoration=_ac;
}
var _b3=false;
if(_a6<((-1)*this._maxDecreaseDelta)){
_b3=true;
_a6=this._maxDecreaseDelta*(-1);
}
if(_a6>this._maxIncreaseDelta){
_b3=true;
_a6=this._maxIncreaseDelta;
}
if(this._resizeStep>0&&!_a5){
_a6-=_a6%this._resizeStep;
}
this._helperBarDecoration.className="helperBarDrag";
if(_a2){
this._helperBar.style.left=this._handlerStartLeftPos-(_a2?_a7:0)+_a4+_a6+"px";
}else{
this._helperBar.style.top=this._handlerStartTopPos-(!_a2?_a7:0)+_a4+_a6+"px";
}
if(!_a5){
this._currentDelta=_a6;
}
if(_b3){
if(this._helperBarDecoration){
this._helperBarDecoration.className="helperBarError";
}
if(!_a5){
return false;
}
}
if(_a5){
var _b4=32;
if(this._lastUpdate&&((new Date()-this._lastUpdate)<_b4)){
return false;
}
this._lastUpdate=new Date();
if(_a2){
_a6=e.clientX-this._liveResMouseX;
}else{
_a6=e.clientY-this._liveResMouseY;
}
this._liveResMouseX=e.clientX;
this._liveResMouseY=e.clientY;
var _b5=_a6;
if(_b3){
var _b6=this._liveResPaneStartSize;
var _b7=this._targetResizePane.getVarSize();
var _b8=(_a2)?(this._liveResMouseX-this._mouseStartX):(this._liveResMouseY-this._mouseStartY);
if(_b8>0){
_b5=this._maxIncreaseDelta-(_b7-_b6);
}else{
_b5=this._maxDecreaseDelta-(_b6-_b7);
_b5*=-1;
}
if(_b5==0){
return;
}
}
this._targetResizePane.resize(_b5,Telerik.Web.UI.SplitterDirection.Forward);
}
return false;
},_onMouseUp:function(e){
e.preventDefault();
e.stopPropagation();
$removeHandler(document,"mouseup",this._onMouseUpDelegate);
$removeHandler(document,"mousemove",this._onMouseMoveDelegate);
if(this._helperBar){
this._helperBar.parentNode.removeChild(this._helperBar);
this._helperBar=null;
}
if(!this.get_splitter().get_liveResize()&&this._currentDelta!=0){
this._targetResizePane.resize(this._currentDelta,Telerik.Web.UI.SplitterDirection.Forward);
}
return false;
},_onMouseOver:function(e){
if(!this._isInactive){
var _bb=this.get_element();
_bb.className=(this.get_splitter().isVertical())?"resizeBarOver":"resizeBarOverHorizontal";
}
},_onMouseOut:function(e){
if(!this._isInactive){
var _bd=this.get_element();
_bd.className=(this.get_splitter().isVertical())?"resizeBar":"resizeBarHorizontal";
}
},_setCursorStyle:function(){
var _be=this.get_element();
_be.style.cursor=this._getCursorStyle();
},_getCursorStyle:function(){
if(!this.get_enableResize()){
return "";
}
if(this.get_splitter().isVertical()){
return "w-resize";
}else{
return "n-resize";
}
},_getCollapseTarget:function(_bf){
return (_bf==Telerik.Web.UI.SplitterDirection.Forward)?this._prevPane:this._nextPane;
},_getAvailDecreaseDelta:function(){
var _c0=this.get_splitter()._getAvailAdjacentPane(this._prevPane._indexInPanes+1,Telerik.Web.UI.SplitterDirection.Backward);
if(_c0==null){
return 0;
}
var _c1=0;
_c1=_c0._getAvailDecreaseDelta();
if(_c1<=0){
return 0;
}
var _c2=this.get_splitter()._getAvailIncreaseDelta(_c0._indexInPanes,Telerik.Web.UI.SplitterDirection.Forward);
return Math.min(_c2,_c1);
},_getAvailIncreaseDelta:function(){
var _c3=this.get_splitter()._getAvailAdjacentPane(this._prevPane._indexInPanes+1,Telerik.Web.UI.SplitterDirection.Backward);
if(_c3==null){
return 0;
}
var _c4=0;
_c4=_c3._getAvailIncreaseDelta();
if(_c4<=0){
return 0;
}
var _c5=this.get_splitter()._getAvailDecreaseDelta(_c3._indexInPanes,Telerik.Web.UI.SplitterDirection.Forward);
return Math.min(_c5,_c4);
},_getCollapseBarHeight:function(_c6){
if(this.getCollapseBarElement(_c6)==null){
return 0;
}
return this.getCollapseBarElement(_c6).offsetHeight;
},_getCollapseDivClass:function(_c7){
var _c8=(this.get_splitter().isVertical())?"collapseBarCollapse":"collapseBarHorizontalCollapse";
if(_c7==Telerik.Web.UI.SplitterDirection.Backward){
_c8=(this.get_splitter().isVertical())?"collapseBarExpand":"collapseBarHorizontalExpand";
}
return _c8;
},_getExpandDivClass:function(_c9){
var _ca=(this.get_splitter().isVertical())?"collapseBarExpand":"collapseBarHorizontalExpand";
if(_c9==Telerik.Web.UI.SplitterDirection.Backward){
_ca=(this.get_splitter().isVertical())?"collapseBarCollapse":"collapseBarHorizontalCollapse";
}
return _ca;
},_collapseTargetPane:function(_cb){
var _cc=this._getCollapseTarget(_cb);
if(!_cc){
return false;
}
if(_cc.isLocked()){
this._showExpandCollapseError(_cb);
return false;
}
var _cd=this.getCollapseBarElement(_cb);
var _ce=this.get_element();
var _cf=false;
if(this.isCollapsed(_cb)||(_cc._initialExpandMode)){
if(_cc.get_collapsed()&&_cc._expandedSize>0){
if(this.get_splitter()._expandPane(_cc,_cb)){
if(_cd!=null){
_cd.className=this._getCollapseDivClass(_cb);
}
this._setActive();
this._collapsed[_cb]=false;
_cf=true;
}else{
this._showExpandCollapseError(_cb);
}
}
}else{
if(!(_cc.get_collapsed()&&_cc._expandedSize>0)){
if(this.get_splitter()._collapsePane(_cc,_cb)){
if(_cd!=null){
_cd.className=this._getExpandDivClass(_cb);
}
this._setInactive();
this._collapsed[_cb]=true;
_cf=true;
}else{
this._showExpandCollapseError(_cb);
}
}
}
if(_cf){
var _d0=(_cb==Telerik.Web.UI.SplitterDirection.Forward)?Telerik.Web.UI.SplitterDirection.Backward:Telerik.Web.UI.SplitterDirection.Forward;
var _d1=this.getCollapseBarElement(_d0);
if(_d1!=null){
_d1.style.display=(_cc.get_collapsed())?"none":"";
}
this._setHorizontalWrapperWidth();
}
return _cf;
},_showExpandCollapseError:function(_d2){
var _d3=this.getCollapseBarElement(_d2);
if(_d3==null){
return;
}
var _d4=(this.get_splitter().isVertical())?((_d2==Telerik.Web.UI.SplitterDirection.Forward)?"collapseBarCollapse":"collapseBarExpand"):((_d2==Telerik.Web.UI.SplitterDirection.Forward)?"collapseBarHorizontalCollapse":"collapseBarHorizontalExpand");
var _d5=(this.get_splitter().isVertical())?((_d2==Telerik.Web.UI.SplitterDirection.Forward)?"collapseBarCollapseError":"collapseBarExpandError"):((_d2==Telerik.Web.UI.SplitterDirection.Forward)?"collapseBarHorizontalCollapseError":"collapseBarHorizontalExpandError");
setTimeout(function(){
setCollapseBarCss(_d5);
},0);
setTimeout(function(){
setCollapseBarCss(_d4);
},200);
setTimeout(function(){
setCollapseBarCss(_d5);
},400);
setTimeout(function(){
setCollapseBarCss(_d4);
},600);
setTimeout(function(){
setCollapseBarCss(_d5);
},800);
setTimeout(function(){
setCollapseBarCss(_d4);
},1000);
function setCollapseBarCss(_d6){
_d3.className=_d6;
}
},_splitterLoadedHandler:function(){
if(!this.get_splitter()._isVisible()){
return;
}
var _d7=this.get_splitter()._getSplitBarsSize()/this.get_splitter().getSplitBars().length;
var _d8=$get("RAD_SPLITBAR_SPACER_"+this.get_id());
if(this.get_splitter().isVertical()){
$telerik.setOuterWidth(this.get_element(),_d7);
if(_d8){
_d8.style.width=_d7+"px";
}
}else{
$telerik.setOuterHeight(this.get_element(),_d7);
if(_d8){
_d8.style.height=_d7+"px";
}
this._setHorizontalWrapperWidth();
}
this.get_splitter().remove_loaded(this._splitterLoadedHandler);
},_setHorizontalWrapperWidth:function(){
if(this.get_splitter().isVertical()){
return;
}
var _d9=$get("RAD_SPLITTER_BAR_COLLAPSE_WRAPPER_"+this.get_id());
if(_d9){
var _da=0;
var _db=this.getCollapseBarElement(Telerik.Web.UI.SplitterDirection.Forward);
if(_db!=null){
_da+=_db.offsetWidth;
}
_db=this.getCollapseBarElement(Telerik.Web.UI.SplitterDirection.Backward);
if(_db!=null){
_da+=_db.offsetWidth;
}
if(_da){
_d9.style.width=_da+"px";
}
}
},_setActive:function(){
var _dc=this.get_element();
this._setCursorStyle();
_dc.className=(this.get_splitter().isVertical())?"resizeBar":"resizeBarHorizontal";
this._isInactive=false;
},_setInactive:function(){
var _dd=this.get_element();
_dd.style.cursor="";
var _de=(this.get_splitter().isVertical())?"resizeBarInactive":"resizeBarInactiveHorizontal";
_dd.className=(this.get_splitter().isVertical())?"resizeBarInactive":"resizeBarInactiveHorizontal";
this._isInactive=true;
}};
Telerik.Web.UI.RadSplitBar.registerClass("Telerik.Web.UI.RadSplitBar",Telerik.Web.UI.SplitterItem);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.SplitterPaneScrolling=function(){
};
Telerik.Web.UI.SplitterPaneScrolling.prototype={Both:1,X:2,Y:3,None:4};
Telerik.Web.UI.SplitterPaneScrolling.registerEnum("Telerik.Web.UI.SplitterPaneScrolling",false);
Telerik.Web.UI.SplitterResizeMode=function(){
};
Telerik.Web.UI.SplitterResizeMode.prototype={AdjacentPane:1,Proportional:2,EndPane:3};
Telerik.Web.UI.SplitterResizeMode.registerEnum("Telerik.Web.UI.SplitterResizeMode",false);
Telerik.Web.UI.SplitterDirection=function(){
};
Telerik.Web.UI.SplitterDirection.prototype={Forward:1,Backward:2};
Telerik.Web.UI.SplitterDirection.registerEnum("Telerik.Web.UI.SplitterDirection",false);
Telerik.Web.UI.SplitterBeforeResizeEventArgs=function(_df,_e0){
Telerik.Web.UI.SplitterBeforeResizeEventArgs.initializeBase(this);
this._newWidth=_df;
this._newHeight=_e0;
};
Telerik.Web.UI.SplitterBeforeResizeEventArgs.prototype={get_newWidth:function(){
return this._newWidth;
},get_newHeight:function(){
return this._newHeight;
}};
Telerik.Web.UI.SplitterBeforeResizeEventArgs.registerClass("Telerik.Web.UI.SplitterBeforeResizeEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.SplitterResizedEventArgs=function(_e1,_e2){
Telerik.Web.UI.SplitterResizedEventArgs.initializeBase(this);
this._oldWidth=_e1;
this._oldHeight=_e2;
};
Telerik.Web.UI.SplitterResizedEventArgs.prototype={get_oldWidth:function(){
return this._oldWidth;
},get_oldHeight:function(){
return this._oldHeight;
}};
Telerik.Web.UI.SplitterResizedEventArgs.registerClass("Telerik.Web.UI.SplitterResizedEventArgs",Sys.EventArgs);
Telerik.Web.UI.RadSplitter=function(_e3){
Telerik.Web.UI.RadSplitter.initializeBase(this,[_e3]);
this._fullScreenMode=false;
this._visibleDuringInit=true;
this._liveResize=false;
this._resizeWithBrowserWindow=true;
this._resizeWithParentPane=true;
this._orientation=Telerik.Web.UI.Orientation.Vertical;
this._resizeMode=Telerik.Web.UI.SplitterResizeMode.AdjacentPane;
this._borderSize=1;
this._panesBorderSize=1;
this._splitBarSize=null;
this._width="400px";
this._height="400px";
this._heightOffset=0;
this._resizeHandlerAttached=false;
this._loaded=null;
this._panes=[];
this._panesByIndex=[];
this._panesById=[];
this._splitBars=[];
this._splitBarsByAbsIndex=[];
this._splitBarsById=[];
this._splitBarsByIndex=[];
this._initialSizeApplied=false;
this._splitBarsSizeCalculated=false;
this._containerElement=$get("RAD_SPLITTER_"+this.get_id());
var _e4=$telerik.getViewPortSize();
this._initialWindowWidth=_e4.width;
this._initialWindowHeight=_e4.height;
this._cancelInterval=0;
this._lastResizedValue=0;
this._resizedValue=0;
this.IsNested=this.isNested;
this.GetMinWidth=this.getMinWidth;
this.GetMaxWidth=this.getMaxWidth;
this.GetMinHeight=this.getMinHeight;
this.GetMaxHeight=this.getMaxHeight;
this.GetInnerWidth=this.getInnerWidth;
this.GetInnerHeight=this.getInnerHeight;
this.GetPanes=this.getPanes;
this.Resize=this.resize;
this.GetEndPane=this.getEndPane;
this.GetStartPane=this.getStartPane;
this.IsVertical=this.isVertical;
this.GetPaneByIndex=this.getPaneByIndex;
this.GetPaneById=this.getPaneById;
this.GetSplitBarByIndex=this.getSplitBarByIndex;
this.GetSplitBarById=this.getSplitBarById;
this.GetSplitBars=this.getSplitBars;
this.GetContainerElement=this.getContainerElement;
};
Telerik.Web.UI.RadSplitter.prototype={endUpdate:function(){
var _e5=this._width;
if(_e5.toString().indexOf("px")>-1){
this._width=parseInt(_e5,10);
}
_e5=this._height;
if(_e5.toString().indexOf("px")>-1){
this._height=parseInt(_e5,10);
}
Telerik.Web.UI.RadSplitter.callBaseMethod(this,"endUpdate");
},initialize:function(){
Telerik.Web.UI.RadSplitter.callBaseMethod(this,"initialize");
this._originalWidth=this._width;
this._originalHeight=this._height;
var _e6=this.isNested();
if(_e6&&this._resizeWithParentPane){
this._parent._childSplitter=this;
}
if(this._fullScreenMode){
try{
document.documentElement.style.height="100%";
document.body.style.height="100%";
document.body.style.margin="0px";
if(document.forms&&document.forms.length>0){
document.forms[0].style.height="100%";
}
}
catch(e){
}
}
var _e7=this._borderSize;
this._borderSize=(_e6)?0:_e7;
if($telerik.isFirefox){
var _e8=Math.ceil(_e7/2);
var _e9=this._containerElement;
_e9.style.marginTop=_e8+"px";
_e9.style.marginLeft=_e8+"px";
_e8=Math.floor(_e7/2);
_e9.style.marginBottom=_e8+"px";
_e9.style.marginRight=_e8+"px";
}
this._appLoadHandler=Function.createDelegate(this,this._appLoadHandler);
Sys.Application.add_load(this._appLoadHandler);
},dispose:function(){
if(this._resizeHandlerAttached){
}
Telerik.Web.UI.RadSplitter.callBaseMethod(this,"dispose");
},set_resizeMode:function(_ea){
this._resizeMode=_ea;
},get_resizeMode:function(){
return this._resizeMode;
},set_liveResize:function(_eb){
this._liveResize=_eb;
},get_liveResize:function(){
return this._liveResize;
},set_heightOffset:function(_ec){
this._heightOffset=_ec;
},get_heightOffset:function(){
return this._heightOffset;
},set_width:function(_ed){
if(_ed.toString().indexOf("px")>-1){
_ed=parseInt(_ed,10);
}else{
if(_ed.toString().indexOf("%")>-1){
_ed=this._calculatePercentWidth(_ed);
}
}
if(_ed==this._width||isNaN(_ed)){
return;
}
this.resize(_ed,null);
},get_width:function(){
return this._width;
},set_height:function(_ee){
if(_ee.toString().indexOf("px")>-1){
_ee=parseInt(_ee,10);
}else{
if(_ee.toString().indexOf("%")>-1){
_ee=this._calculatePercentHeight(_ee);
}
}
if(_ee==this._height||isNaN(_ee)){
return;
}
this.resize(null,_ee);
},get_height:function(){
return this._height;
},get_parent:function(){
return this._parent;
},add_loaded:function(_ef){
this.get_events().addHandler("loaded",_ef);
},remove_loaded:function(_f0){
this.get_events().removeHandler("loaded",_f0);
},add_beforeResize:function(_f1){
this.get_events().addHandler("beforeResize",_f1);
},remove_beforeResize:function(_f2){
this.get_events().removeHandler("beforeResize",_f2);
},add_resized:function(_f3){
this.get_events().addHandler("resized",_f3);
},remove_resized:function(_f4){
this.get_events().removeHandler("resized",_f4);
},getMinWidth:function(_f5,_f6){
var _f7=this._getMinMaxSize(_f5,_f6,true,true);
return _f7;
},getMaxWidth:function(_f8,_f9){
var _fa=this._getMinMaxSize(_f8,_f9,false,true);
return _fa;
},getMinHeight:function(_fb,_fc){
var _fd=this._getMinMaxSize(_fb,_fc,true,false);
return _fd;
},getMaxHeight:function(_fe,_ff){
var _100=this._getMinMaxSize(_fe,_ff,false,false);
return _100;
},isNested:function(){
return (this._parent!=null);
},getInnerWidth:function(){
return this._width-this._getBordersDiff();
},getInnerHeight:function(){
return this._height-this._getBordersDiff();
},getPanes:function(){
return this._panes;
},resize:function(_101,_102,_103){
if(!this._initialSizeApplied){
this._calculateInitialSize();
}
if(!_103){
var _104=new Telerik.Web.UI.SplitterBeforeResizeEventArgs(_101,_102);
this.raiseEvent("beforeResize",_104);
if(_104.get_cancel()){
return false;
}
}
var _105=false;
var _106=false;
var _107=0;
var _108=this._width;
var _109=this._height;
var _10a=this.isVertical();
if(_101!=null&&_101!=_108){
var _10b=_101-_108;
this._setOuterWidth(_101);
this._width=_101;
if(_10a){
_107=_10b;
_105=true;
}else{
_106=true;
}
}
if(_102!=null&&_102!=_109){
var _10c=_102-_109;
this._setOuterHeight(_102);
this._height=_102;
if(!_10a){
_107=_10c;
_105=true;
}else{
_106=true;
}
}
if(_106||_105){
var _10d=(_10a)?this.getInnerHeight():this.getInnerWidth();
var _10e=this._getInitialFreeSizedPanes();
var _10f=_10e.length;
var _110=0;
var _111=0;
if(_105){
_110=parseInt(_107/_10f,10);
}
var _112=this._panes;
for(var i=0,_114=_112.length;i<_114;i++){
var pane=_112[i];
pane._initResize();
if(_106&&!(pane._collapsed&&pane._expandedSize>0)){
if(_10a){
pane.set_height(_10d);
}else{
pane.set_width(_10d);
}
}
var _116=pane._isInitialFreeSize();
if(_105&&_116){
var _117=(_110>0)?pane._getAvailIncreaseDelta():pane._getAvailDecreaseDelta();
var _118=_110;
if(_117<Math.abs(_110)){
_118=_117*((_110>0)?1:-1);
_111+=_110-_118;
}
var _119=pane.getVarSize()+_118;
pane.setVarSize(_119);
}
}
if(_105){
if(_10f>0){
this._fixPanesRounding(_10e,true);
if(_111!=0){
_111*=-1;
this._resizeProportional(_111,null,Telerik.Web.UI.SplitterDirection.Forward,true);
}
}else{
_107*=-1;
this._resizeProportional(_107,null,Telerik.Web.UI.SplitterDirection.Forward,true);
}
}
this._raisePanesResizeEvent(_103);
}
if(!_103){
this.raiseEvent("resized",new Telerik.Web.UI.SplitterResizedEventArgs(_108,_109));
}
return true;
},getEndPane:function(){
return this._panesByIndex[this._panes.length-1];
},getStartPane:function(){
return this._panesByIndex[0];
},isVertical:function(){
return (this._orientation==Telerik.Web.UI.Orientation.Vertical);
},getPaneByIndex:function(_11a){
return this._panesByIndex[_11a];
},getPaneById:function(_11b){
return this._panesById[_11b];
},getSplitBarByIndex:function(_11c){
return this._splitBarsByIndex[_11c];
},getSplitBarById:function(_11d){
return this._splitBarsById[_11d];
},getSplitBars:function(){
return this._splitBars;
},getContainerElement:function(){
return this._containerElement;
},_getSplitBarByAbsIndex:function(_11e){
return this._splitBarsByAbsIndex[_11e];
},_raisePanesResizeEvent:function(_11f){
var _120=(!_11f&&this._initializedInternal);
var _121=this._panes;
for(var i=0,_123=_121.length;i<_123;i++){
var pane=_121[i];
if(pane._collapsed&&pane._expandedSize>0){
continue;
}
pane._endResize(_120);
}
},_resizeAdjacentPane:function(_125,pane,_127,_128){
if(_125==0){
return;
}
var _129=this._getAvailAdjacentPane(pane._indexInPanes,_127);
if(_129==null){
return false;
}
if(!this._isCollapseMode&&!this._isExpandMode&&!_128){
var _12a=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_125,_127);
pane.raiseEvent("beforeResize",_12a);
if(_12a.get_cancel()){
return false;
}
var _12b=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_125*-1,_127);
_129.raiseEvent("beforeResize",_12b);
if(_12b.get_cancel()){
return false;
}
}
var _12c=pane._width;
var _12d=pane._height;
var _12e=_129._width;
var _12f=_129._height;
var _130=pane.getVarSize()+_125;
var _131=_129.getVarSize()-_125;
pane.setVarSize(_130);
_129.setVarSize(_131);
if(!this._isCollapseMode&&!this._isExpandMode&&!_128){
$telerik.repaintChildren(pane);
pane.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_12c,_12d));
}
$telerik.repaintChildren(_129);
if(!_128){
_129.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_12e,_12f));
}
return true;
},_resizeEndPane:function(_132,_133,_134){
if(_132==0){
return;
}
var _135=(_134==Telerik.Web.UI.SplitterDirection.Forward)?this.getEndPane():this.getStartPane();
if(!this._isCollapseMode&&!this._isExpandMode){
var _136=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_132,_134);
_133.raiseEvent("beforeResize",_136);
if(_136.get_cancel()){
return false;
}
var _137=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_132*-1,_134);
_135.raiseEvent("beforeResize",_137);
if(_137.get_cancel()){
return false;
}
}
var _138=_133._width;
var _139=_133._height;
var _13a=_135._width;
var _13b=_135._height;
var _13c=_133.getVarSize()+_132;
_133.setVarSize(_13c);
var _13d=_135.getVarSize()-_132;
_135.setVarSize(_13d);
if(!this._isCollapseMode&&!this._isExpandMode){
$telerik.repaintChildren(_133);
_133.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_138,_139));
}
$telerik.repaintChildren(_135);
_135.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_13a,_13b));
return true;
},_resizeProportional:function(_13e,_13f,_140,_141){
if(_13e==0){
return;
}
var _142=(this._isCollapseMode||this._isExpandMode)?false:true;
if(_142&&_13f!=null){
var _143=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_13e,_140);
_13f.raiseEvent("beforeResize",_143);
if(_143.get_cancel()){
return;
}
}
var _144=Math.abs(_13e);
var _145=0;
var _146=(_13e>0);
var _147=(_13f!=null)?((_140==Telerik.Web.UI.SplitterDirection.Forward)?_13f._indexInPanes+1:_13f._indexInPanes-1):0;
var _148=[];
var _149=this._panesByIndex;
if(_140==Telerik.Web.UI.SplitterDirection.Forward){
for(var i=_147,_14b=this._panes.length;i<_14b;i++){
var _14c=_149[i];
_148[_148.length]=_14c;
_145+=_14c.getVarSize();
}
}else{
for(var i=_147;i>=0;i--){
var _14c=_149[i];
_148[_148.length]=_14c;
_145+=_14c.getVarSize();
}
}
if(_148.length<2&&_13f!=null){
this._resizeAdjacentPane(_13e,_13f,_140,_141);
return;
}
var _14d=[];
do{
var _14e=_145;
var _14f=0;
for(var i=0,_14b=_148.length;i<_14b;i++){
if(_14d[i]){
continue;
}
var _150=_148[i];
if((_150._collapsed&&_150._expandedSize>0)||_150._locked){
_14d[i]=true;
continue;
}
var _151=_150.getVarSize();
var _152=(_146)?_150._getAvailDecreaseDelta():_150._getAvailIncreaseDelta();
var _153=_151/_14e;
var _154=_144*_153;
if((_154-_152)>0){
_14d[i]=true;
}
var _155=Math.min(_154,_152);
if(_146){
_155*=-1;
}
var _156=_151+_155;
if(_142){
var _157=new Telerik.Web.UI.PaneBeforeResizeEventArgs(parseInt(_156),_140);
_150.raiseEvent("beforeResize",_157);
if(_157.get_cancel()){
return false;
}
}
_14f+=_154-Math.abs(_155);
var _158=_150._width;
var _159=_150._height;
_150.setVarSize(_156);
$telerik.repaintChildren(_150);
if(!_141){
_150.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_158,_159));
}
_145+=(_14d[i])?(-1)*_150.getVarSize()+_155:_155;
}
_144=_14f;
}while(_14f!=0);
if(_13f!=null){
var _15a=_13f._width;
var _15b=_13f._height;
_13f.setVarSize(_13f.getVarSize()+_13e);
if(_142){
$telerik.repaintChildren(_13f);
_13f.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_15a,_15b));
}
}
this._fixPanesRounding(_148,_141);
},_fixPanesRounding:function(_15c,_15d){
var _15e=this._panes;
if(!_15c){
_15c=_15e;
}
var _15f=(this.isVertical())?this._getPanesAvailWidth():this._getPanesAvailHeight();
var _160=0;
for(var i=0,_162=_15e.length;i<_162;i++){
var size=_15e[i].getVarSize();
_160+=size;
}
var _164=_15f-_160;
if(_164!=0){
for(var i=0,_165=_15c.length;i<_165;i++){
var pane=_15c[i];
if((pane._collapsed&&pane._expandedSize>0)||pane._locked){
continue;
}
var _167=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_164,Telerik.Web.UI.SplitterDirection.Forward);
pane.raiseEvent("beforeResize",_167);
if(_167.get_cancel()){
continue;
}
var _168=pane._width;
var _169=pane._height;
var _16a=false;
if(_164>0){
if(pane._getAvailIncreaseDelta()>0){
_16a=true;
}
}else{
if(pane._getAvailDecreaseDelta()>0){
_16a=true;
}
}
if(_16a){
pane.setVarSize(pane.getVarSize()+_164);
if(!_15d){
$telerik.repaintChildren(pane);
pane.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_168,_169));
}
break;
}
}
}
},_addPane:function(pane){
this._panes[this._panes.length]=pane;
this._panesByIndex[pane._indexInPanes]=pane;
this._panesById[pane.get_id()]=pane;
},_addSplitBar:function(_16c){
this._splitBars[this._splitBars.length]=_16c;
this._splitBarsByIndex[_16c._indexInSplitBars]=_16c;
this._splitBarsById[_16c.get_id()]=_16c;
this._splitBarsByAbsIndex[_16c.get_index()]=_16c;
},_setOuterWidth:function(_16d){
if(this._width!=_16d){
if(this._arePanesFixedSize()){
var _16e=this.get_element();
if(_16d<=0||_16d==""){
_16e.style.width="";
}else{
_16e.style.width=_16d+"px";
}
}
this._width=_16d;
}
},_setOuterHeight:function(_16f){
if(this._height!=_16f){
if(this._arePanesFixedSize()){
var _170=this.get_element();
if(_16f<=0||_16f==""){
_170.style.height="";
}else{
_170.style.height=_16f+"px";
}
}
this._height=_16f;
}
},_arePanesFixedSize:function(){
var _171=this._panes;
for(var i=0,_173=_171.length;i<_173;i++){
if(!_171[i]._isInitialFixedSize()){
return false;
}
}
return true;
},_containsFreeSizedPanes:function(){
var _174=this._panes;
for(var i=0,_176=_174.length;i<_176;i++){
if(_174[i]._isFreeSize()){
return true;
}
}
return false;
},_containsInitialFreeSizedPanes:function(){
var _177=this._panes;
for(var i=0,_179=_177.length;i<_179;i++){
if(_177[i]._isInitialFreeSize()){
return true;
}
}
return false;
},_containsInitialPercentSizedPanes:function(){
var _17a=this._panes;
for(var i=0,_17c=_17a.length;i<_17c;i++){
if(_17a[i]._isInitialPercentSize()){
return true;
}
}
return false;
},_windowResizeHandler:function(){
if($telerik.isFirefox){
this._handlePageResize();
}else{
this._resizedValue++;
if(!this._cancelInterval){
var _17d=this;
this._cancelInterval=window.setInterval(function(){
try{
if(_17d._resizedValue>_17d._lastResizedValue){
_17d._lastResizedValue=_17d._resizedValue+1;
return;
}
window.clearInterval(_17d._cancelInterval);
_17d._cancelInterval=0;
_17d._handlePageResize();
}
catch(ex){
}
},200);
}
}
},_handlePageResize:function(_17e){
if(!this._isVisible()){
return;
}
if(!this._initialSizeApplied){
this._calculateInitialSize();
}
var _17f=$telerik.getViewPortSize();
var _180=_17f.width;
var _181=_17f.height;
if(!_17e&&this._initialWindowHeight==_181&&this._initialWindowWidth==_180){
return;
}
this._initialWindowHeight=_181;
this._initialWindowWidth=_180;
var _182=null;
var _183=null;
if(this._originalWidth.toString().indexOf("%")>-1){
_183=this._calculatePercentSize();
var _184=_183.width;
if(_184!=this._width){
_182=_184;
}
}
var _185=null;
if(this._originalHeight.toString().indexOf("%")>-1){
if(!_183){
_183=this._calculatePercentSize();
}
var _186=_183.height;
if(_186!=this._height){
_185=_186;
}
}
this.resize(_182,_185);
},_setSize:function(){
var _187=this.isVertical();
if(this._arePanesFixedSize()&&!this._containsInitialFreeSizedPanes()){
var _188=this._getPanesVarSize();
var _189=this._getSplitBarsSize();
var _18a=this._getBordersSize();
var _18b=_188+_189+_18a;
if(_187){
this._changeOriginalWidth(_18b);
this._setOuterWidth(_18b);
}else{
this._changeOriginalHeight(_18b);
this._setOuterHeight(_18b);
}
}
var _18c=this._panes;
var _18d=null;
if(this._originalWidth.toString().indexOf("%")>-1){
_18d=this._calculatePercentSize();
var _18e=_18d.width;
this._setOuterWidth(_18e);
if(!_187){
var _18f=this.getInnerWidth();
for(var i=0,_191=_18c.length;i<_191;i++){
_18c[i].set_width(_18f);
}
}
}
if(this._originalHeight.toString().indexOf("%")>-1){
if(!_18d){
_18d=this._calculatePercentSize();
}
var _192=_18d.height;
this._setOuterHeight(_192);
if(_187){
var _193=this.getInnerHeight();
for(var i=0,_191=_18c.length;i<_191;i++){
_18c[i].set_height(_193);
}
}
}
},_fixSplitterActualSize:function(){
if(this._originalHeight.toString().indexOf("%")==-1){
return;
}
var _194=this.getContainerElement();
if(parseInt(_194.style.height)==this._height){
return;
}
this._setOuterHeight(this._height);
},_calculatePercentWidth:function(_195){
return this._calculatePercentSize(_195,null).width;
},_calculatePercentHeight:function(_196){
return this._calculatePercentSize(null,_196).height;
},_calculatePercentSize:function(_197,_198){
if(!_197){
_197=this._originalWidth;
}
if(!_198){
_198=this._originalHeight;
}
var _199=this.get_element();
if(_199.style.width!=_197){
_199.style.width=_197;
}
if(_199.style.height!=_198){
_199.style.height=_198;
}
var _19a=this._containerElement;
if(!$telerik.isFirefox){
_199.style.position="relative";
_19a.style.position="absolute";
_19a.style.top="0px";
_19a.style.left="0px";
}else{
var _19b=_199.firstChild;
_19b.style.width="1px";
_19b.style.height="1px";
}
var _19c=2*this._borderSize;
var _19d=_199.offsetHeight-this._heightOffset;
var _19e=_199.offsetWidth;
if(!$telerik.isFirefox){
_199.style.position="";
_19a.style.position="";
_19a.style.top="";
_19a.style.left="";
}else{
_19b.style.width="";
_19b.style.height="";
}
if($telerik.isOpera||this._heightOffset>0){
_199.style.width="";
_199.style.height="";
}
if($telerik.isIE&&document.forms&&document.forms.length>0){
document.forms[0].style.cssText=document.forms[0].style.cssText;
}
return {width:_19e,height:_19d};
},_setPanesSize:function(){
var _19f=this._panes;
var _1a0=this.isVertical();
var _1a1=this._getPanesAvailWidth();
var _1a2=this._getPanesAvailHeight();
for(var i=0,_1a4=_19f.length;i<_1a4;i++){
var _1a5=_19f[i];
if(_1a5._isPercentSize()){
var _1a6=_1a0?_1a1:_1a2;
var _1a7=_1a0?_1a5._originalWidth:_1a5._originalHeight;
var _1a8=parseInt(_1a7)*_1a6/100;
_1a8=parseInt(_1a8);
_1a5.setVarSize(_1a8);
$telerik.repaintChildren(_1a5);
}
}
if(this._containsFreeSizedPanes()){
var _1a9=(_1a0)?this._width:this._height;
var _1aa=this._getBordersSize();
var _1ab=(_1a0)?_1a1:_1a2;
var _1ac=0;
for(var i=0,_1a4=_19f.length;i<_1a4;i++){
var _1a5=_19f[i];
if(_1a5._isFixedSize()){
_1ab-=_1a5.getVarSize();
$telerik.repaintChildren(_1a5);
}else{
if(_1a5._locked||(_1a5._collapsed&&_1a5._expandedSize>0)){
continue;
}
_1ac++;
}
}
var _1ad=_1ab/_1ac;
_1ad=parseInt(_1ad);
var _1ae=this._getFreeSizedPanes();
for(var i=0,_1a4=_1ae.length;i<_1a4;i++){
var _1af=_1ae[i];
if(_1af._locked||(_1af._collapsed&&_1af._expandedSize>0)){
continue;
}
_1af.setVarSize(_1ad);
$telerik.repaintChildren(_1af);
}
}
},_getFreeSizedPanes:function(){
var _1b0=this._panes;
var _1b1=[];
for(var i=0,_1b3=_1b0.length;i<_1b3;i++){
var _1b4=_1b0[i];
if(_1b4._isFreeSize()){
_1b1[_1b1.length]=_1b4;
}
}
return _1b1;
},_getInitialFreeSizedPanes:function(){
var _1b5=this._panes;
var _1b6=[];
for(var i=0,_1b8=_1b5.length;i<_1b8;i++){
var _1b9=_1b5[i];
if(_1b9._isInitialFreeSize()){
_1b6[_1b6.length]=_1b9;
}
}
return _1b6;
},_getPanesVarSize:function(){
var _1ba=this._panes;
var size=0;
for(var i=0,_1bd=_1ba.length;i<_1bd;i++){
size+=_1ba[i].getVarSize();
}
return size;
},_getPanesAvailWidth:function(){
var _1be=this._width-this._getBordersSize();
if(this.isVertical()){
_1be-=this._getSplitBarsSize();
}else{
_1be-=2*this._borderSize;
}
return _1be;
},_getPanesAvailHeight:function(){
var _1bf=this._height-this._getBordersSize();
if(!this.isVertical()){
_1bf-=this._getSplitBarsSize();
}else{
_1bf-=2*this._borderSize;
}
return _1bf;
},_getPanesBordersSize:function(){
var _1c0=this._panes;
var _1c1=0;
for(var i=0,_1c3=_1c0.length;i<_1c3;i++){
var pane=_1c0[i];
if(!(pane._collapsed&&pane._expandedSize>0)){
_1c1++;
}
}
return (_1c1-1)*this._panesBorderSize;
},_getBordersSize:function(){
var _1c5=this._panes;
var _1c6=0;
for(var i=0,_1c8=_1c5.length;i<_1c8;i++){
var pane=_1c5[i];
if(!(pane._collapsed&&pane._expandedSize>0)){
_1c6++;
}
}
return (Math.max(_1c6+this._splitBars.length-1,0))*this._panesBorderSize+this._getBordersDiff();
},_getBordersDiff:function(){
var diff=0;
diff+=2*this._borderSize;
return diff;
},_getSplitBarsSize:function(){
if(this._splitBarsSizeCalculated){
return this._splitBarsSize;
}
var _1cb=0;
if(this._splitBars.length>0){
var size=0;
if(this._splitBarSize!=null){
size=parseInt(this._splitBarSize);
}else{
var _1cd=this._splitBarsByIndex[0];
var _1ce=null;
if(this._borderSize==0&&this._panesBorderSize==0){
_1ce=_1cd.get_element();
}else{
_1ce=$get("RAD_SPLITTER_BAR_COLLAPSE_WRAPPER_"+_1cd.get_id());
if(_1ce==null){
_1ce=$get("RAD_SPLITBAR_SPACER_"+_1cd.get_id());
}
}
if(_1ce){
size=(this.isVertical())?_1ce.offsetWidth:_1ce.offsetHeight;
}
size=Math.max(size,0);
}
_1cb=this._splitBars.length*size;
}
this._splitBarsSizeCalculated=true;
this._splitBarsSize=_1cb;
return _1cb;
},_getAvailIncreaseDelta:function(_1cf,_1d0){
var _1d1=0;
switch(this._resizeMode){
case Telerik.Web.UI.SplitterResizeMode.EndPane:
var _1d2=(_1d0==Telerik.Web.UI.SplitterDirection.Forward)?this.getEndPane():this.getStartPane();
_1d1=_1d2._getAvailIncreaseDelta();
break;
case Telerik.Web.UI.SplitterResizeMode.Proportional:
var _1d3=this._panesByIndex;
var _1d4=[];
if(_1d0==Telerik.Web.UI.SplitterDirection.Forward){
for(var i=_1cf+1,_1d6=this._panes.length;i<_1d6;i++){
_1d4[_1d4.length]=_1d3[i];
}
}else{
for(var i=_1cf-1;i>=0;i--){
_1d4[_1d4.length]=_1d3[i];
}
}
for(var i=0,_1d6=_1d4.length;i<_1d6;i++){
_1d1+=_1d4[i]._getAvailIncreaseDelta();
}
break;
case Telerik.Web.UI.SplitterResizeMode.AdjacentPane:
default:
var _1d7=this._getAvailAdjacentPane(_1cf,_1d0);
if(_1d7==null){
return 0;
}
_1d1+=_1d7._getAvailIncreaseDelta();
}
_1d1=Math.max(_1d1,0);
return _1d1;
},_getAvailAdjacentPane:function(_1d8,_1d9){
if((this._panes.length-1)==_1d8){
_1d9=Telerik.Web.UI.SplitterDirection.Backward;
}else{
if(_1d8==0){
_1d9=Telerik.Web.UI.SplitterDirection.Forward;
}
}
var _1da=(_1d9==Telerik.Web.UI.SplitterDirection.Forward)?1:-1;
var _1db=_1d8+_1da;
var _1dc=null;
var _1dd=this._panesByIndex;
do{
_1dc=_1dd[_1db];
if(_1dc==null){
return null;
}
_1db+=_1da;
}while((_1dc._collapsed&&_1dc._expandedSize>0)||_1dc._locked);
return _1dc;
},_getAvailDecreaseDelta:function(_1de,_1df){
var _1e0=0;
switch(this._resizeMode){
case Telerik.Web.UI.SplitterResizeMode.EndPane:
var _1e1=(_1df==Telerik.Web.UI.SplitterDirection.Forward)?this.getEndPane():this.getStartPane();
_1e0=_1e1._getAvailDecreaseDelta();
break;
case Telerik.Web.UI.SplitterResizeMode.Proportional:
var _1e2=[];
var _1e3=this._panesByIndex;
if(_1df==Telerik.Web.UI.SplitterDirection.Forward){
for(var i=_1de+1,_1e5=this._panes.length;i<_1e5;i++){
_1e2[_1e2.length]=_1e3[i];
}
}else{
for(var i=_1de-1;i>=0;i--){
_1e2[_1e2.length]=_1e3[i];
}
}
for(var i=0,_1e6=_1e2.length;i<_1e6;i++){
_1e0+=_1e2[i]._getAvailDecreaseDelta();
}
break;
case Telerik.Web.UI.SplitterResizeMode.AdjacentPane:
default:
var _1e7=this._getAvailAdjacentPane(_1de,_1df);
if(_1e7==null){
return 0;
}
_1e0=_1e7._getAvailDecreaseDelta();
}
_1e0=Math.max(_1e0,0);
return _1e0;
},_collapsePane:function(_1e8,_1e9){
if(!_1e8._initialCollapseMode){
var _1ea=new Telerik.Web.UI.PaneBeforeCollapseEventArgs();
_1e8.raiseEvent("beforeCollapse",_1ea);
if(_1ea.get_cancel()){
return false;
}
}
this._isCollapseMode=true;
if(typeof (_1e9)=="undefined"){
_1e9=Telerik.Web.UI.SplitterDirection.Forward;
}
var _1eb=_1e8.getVarSize();
if(_1eb>0){
_1eb+=this._panesBorderSize;
}
var _1ec=this._getAvailIncreaseDelta(_1e8._indexInPanes,_1e9);
if(_1ec<_1eb){
this._isCollapseMode=false;
return false;
}
_1eb*=-1;
_1e8._collapse(_1e9);
_1e8.resize(_1eb,_1e9);
if(!_1e8._initialCollapseMode){
_1e8.raiseEvent("collapsed",new Telerik.Web.UI.PaneCollapsedEventArgs());
}
this._isCollapseMode=false;
return true;
},_expandPane:function(_1ed,_1ee){
if(!_1ed._initialExpandMode){
var _1ef=new Telerik.Web.UI.PaneBeforeExpandEventArgs();
_1ed.raiseEvent("beforeExpand",_1ef);
if(_1ef.get_cancel()){
return false;
}
}
this._isExpandMode=true;
if(typeof (_1ee)=="undefined"){
_1ee=Telerik.Web.UI.SplitterDirection.Forward;
}
var _1f0=_1ed._expandedSize;
_1f0+=this._panesBorderSize;
var _1f1=this._getAvailDecreaseDelta(_1ed._indexInPanes,_1ee);
if(_1f1<=0){
this._isExpandMode=false;
return false;
}
var _1f2=_1ed.getVarMinSize();
if(_1f2>_1f1){
this._isExpandMode=false;
return false;
}
var _1f3=Math.min(_1f1,_1f0);
_1ed._show();
_1ed.resize(_1f3,_1ee);
_1f3-=this._panesBorderSize;
_1ed._expand(_1f3);
if(!_1ed._initialExpandMode){
_1ed.raiseEvent("expanded",new Telerik.Web.UI.PaneExpandedEventArgs());
}
this._isExpandMode=false;
return true;
},_resizePanes:function(_1f4,_1f5,_1f6){
if(typeof (_1f6)=="undefined"){
_1f6=Telerik.Web.UI.SplitterDirection.Forward;
}
switch(this._resizeMode){
case Telerik.Web.UI.SplitterResizeMode.EndPane:
this._resizeEndPane(_1f4,_1f5,_1f6);
break;
case Telerik.Web.UI.SplitterResizeMode.Proportional:
this._resizeProportional(_1f4,_1f5,_1f6);
break;
case Telerik.Web.UI.SplitterResizeMode.AdjacentPane:
default:
this._resizeAdjacentPane(_1f4,_1f5,_1f6);
}
},_changeOriginalWidth:function(_1f7){
this._originalWidth=_1f7;
},_changeOriginalHeight:function(_1f8){
this._originalHeight=_1f8;
},_getMinMaxSize:function(_1f9,_1fa,_1fb,_1fc){
var _1fd=this._panes.length;
if(!_1f9){
_1f9=0;
}
if(!_1fa){
_1fa=_1fd;
}
_1f9=Math.max(0,_1f9);
_1fa=Math.min(_1fa,_1fd);
var _1fe=(_1fc)?"get_width":"get_height";
var _1ff=(_1fb)?"get_min":"get_max";
_1ff+=(_1fc)?"Width":"Height";
var _200=this._getSplitBarsSize()+this._getBordersSize();
for(var i=_1f9;i<_1fa;i++){
var _202=this.getPaneByIndex(i);
_200+=(_202._locked)?_202[_1fe]():_202[_1ff]();
}
return _200;
},_isVisible:function(){
return (this.getContainerElement().offsetWidth!=0);
},_appLoadHandler:function(){
var _203=this.get_element();
var _204=false;
var _205=(this._originalWidth.toString().indexOf("%")>-1||this._originalHeight.toString().indexOf("%")>-1);
if(_205&&(this._containsInitialFreeSizedPanes()||this._containsInitialPercentSizedPanes())){
_204=true;
}
var _206=this.isNested();
if(_204&&this._resizeWithBrowserWindow&&!_206){
$addHandlers(window,{"resize":this._windowResizeHandler},this);
this._resizeHandlerAttached=true;
}
if(this._isVisible()&&!this._initialSizeApplied){
this._calculateInitialSize();
}
this._initializedInternal=true;
Sys.Application.remove_load(this._appLoadHandler);
if(this._loaded){
this.add_loaded(eval(this._loaded));
}
this.raiseEvent("loaded");
},repaint:function(){
var self=this;
var t=function(){
if(!self._isVisible()||!self._initializedInternal||self.isNested()){
return;
}
self._handlePageResize(true);
};
window.setTimeout(t,10);
},_calculateInitialSize:function(){
if(this._initialSizeApplied){
return;
}
if(!this._isVisible()){
return;
}
this._setSize();
this._setPanesSize();
this._fixSplitterActualSize();
if(!this._visibleDuringInit){
var _209=this.getContainerElement();
Sys.UI.DomElement.removeCssClass(_209,"hideRadSplitter");
if($telerik.isIE&&!this._fullScreenMode){
_209.style.position="static";
}
}
this._initialSizeApplied=true;
}};
Telerik.Web.UI.RadSplitter.registerClass("Telerik.Web.UI.RadSplitter",Telerik.Web.UI.RadWebControl);

